    The XSPEC kerrd model: optically thick accretion disk around a Kerr black hole.

xskerrd
The xskerrd model is an additive model component.

The model is described at [1] .

The tcolteff parameter has been renamed tcoloteff to match the XSPEC definition. The name tcolteff can still be used to access the parameter, but this name will be removed in a future release.

>>> create_model_component("xskerrd", "mdl")
>>> print(mdl)

Create a component of the xskerrd model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.distance frozen 1 0.01 1000 kpc mdl.TcoloTeff frozen 1.5 1 2 mdl.M thawed 1 0.1 100 solar mdl.Mdot thawed 1 0.01 100 1e18 mdl.Incl frozen 30 0 90 deg mdl.Rin frozen 1.235 1.235 100 Rg mdl.Rout frozen 100000 10000 1e+08 Rg mdl.norm thawed 1 0 1e+24

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
distance
The distance, in units of kpc.
TcoloTeff
The spectral hardening factor, Tcol/Teff. See [1] for more details.
M
The mass of the central object, in solar masses.
Mdot
The mass accretion rate in units of 10^18 g/s.
Incl
The disk inclination angle, in degrees. A face-on disk has Incl=0.
Rin
The inner radius, in units of GM/c^2. The last stable orbit is 1.235.
Rout
The outer radius, in units of GM/c^2.
norm
The normalization of the model. It should be fixed to 1.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelKerrd.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023